-- name: \\#f9c232\\[CS] Turkey Wario
-- description: Thanksgiving project cuz no one will

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_TURK = smlua_model_util_get_id("turkeyw_geo")

local TEX_TURK = get_texture_info("turkeyw-icon")

local TEXT_MOD_NAME = "TurkeyWario"




local CAPTABLE_TURK = {
    normal = smlua_model_util_get_id("turk_model_cap_normal_geo"),
    wing = smlua_model_util_get_id("turk_model_cap_wing_geo"),
    metal = smlua_model_util_get_id("turk_model_cap_metal_geo"),
    metalWing = smlua_model_util_get_id("turk_model_cap_wing_geo"),
}

if _G.charSelectExists then
    CT_TURK = _G.charSelect.character_add("Turkey Wario", {"Gobble Gobble Wah"}, "CT Himself", {r = 249, g = 194, b = 50}, E_MODEL_TURK, CT_WARIO, TEX_TURK)
    _G.charSelect.character_add_caps(E_MODEL_TURK, CAPTABLE_TURK)

 
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end